The dispenser D-PT is a pressure-time-controlled dispenser that dispenses various materials directly from the cartridge, without an additional valve. A retention vacuum in the cartridge prevents dispensing material from running after. This guarantees precise dispensing results. With the optional needle heater, the dispensing material is brought to the optimum processing temperature for processing. An observation camera which is installed on the dispensing head, thereby ensuring the constant control of the process.